## univention-radius 7.0.1-3A~5.0.0.202110220951

=== Makefile ===
#!/usr/bin/make -f
#
# Univention RADIUS 802.1X
#  makefile
#
# Copyright (C) 2011-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of the software contained in this package
# as well as the source package itself are made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this package provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use the software under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

build: usr/bin/univention-radius-ntlm-auth-suidwrapper

usr/bin/univention-radius-ntlm-auth-suidwrapper: univention-radius-ntlm-auth-suidwrapper.c
	cc univention-radius-ntlm-auth-suidwrapper.c -o usr/bin/univention-radius-ntlm-auth-suidwrapper

clean:
	rm -f usr/bin/univention-radius-ntlm-auth-suidwrapper

.PHONY: clean build

## univention-radius 7.0.1-1A~5.0.0.202103301932

=== debian/changelog ===
univention-radius (7.0.1-1A~5.0.0.202103301932) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 30 Mar 2021 19:32:49 +0200

univention-radius (7.0.1-1) unstable; urgency=medium

  * Bug #52286: Migrate univention-radius to Python 3

 -- Florian Best <best@univention.de>  Tue, 30 Mar 2021 16:27:17 +0200

univention-radius (7.0.0-3) unstable; urgency=medium

  * Bug #43686: use systemctl calls for UDL

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 17 Nov 2020 12:39:25 +0100

univention-radius (7.0.0-2) unstable; urgency=medium

  * Bug #51506: remove python-support

 -- Florian Best <best@univention.de>  Tue, 16 Jun 2020 18:50:40 +0200

univention-radius (7.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:30 +0200

univention-radius (6.0.2-25) unstable; urgency=medium

  * Bug #50887: Permissions in radius postinst file

 -- Christian Castens <castens@univention.de>  Thu, 04 Jun 2020 14:56:07 +0200

univention-radius (6.0.2-23) unstable; urgency=medium

  * Bug #50887: explicitly set permissions for ssl dir

 -- Christian Castens <castens@univention.de>  Wed, 03 Jun 2020 12:48:34 +0200

univention-radius (6.0.2-22) unstable; urgency=medium

  * Bug #51130: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Tue, 21 Apr 2020 13:10:24 +0200

univention-radius (6.0.2-21) unstable; urgency=medium

  * Bug #50545: Fix file permissions in new log files

 -- Julia Bremer <bremer@univention.de>  Tue, 17 Mar 2020 16:35:51 +0100

univention-radius (6.0.2-20) unstable; urgency=medium

  * Bug #48709: Fix typos in UCR variables

 -- Julia Bremer <bremer@univention.de>  Mon, 16 Mar 2020 15:02:58 +0100

univention-radius (6.0.2-19) bionic; urgency=medium

  * Bug #48709: Documented further UCR variables for radius

 -- Max Christian Pohle <mpohle@univention.de>  Mon, 24 Feb 2020 16:19:54 +0100

univention-radius (6.0.2-18) bionic; urgency=medium

  * Bug #50545: added logrotate functionality for radius_ntlm_auth.log

 -- Max Christian Pohle <mpohle@univention.de>  Wed, 12 Feb 2020 13:26:36 +0100

univention-radius (6.0.2-17) unstable; urgency=medium

  * Bug #49175: fix python 3 dependencies

 -- Florian Best <best@univention.de>  Tue, 10 Dec 2019 12:01:49 +0100

univention-radius (6.0.2-16) unstable; urgency=medium

  * Bug #49175: fix ftbfs: add missing build dependency

 -- Florian Best <best@univention.de>  Tue, 03 Dec 2019 16:18:51 +0100

univention-radius (6.0.2-15) unstable; urgency=medium

  * Bug #49175: migrate univention-radius to dh_python

 -- Florian Best <best@univention.de>  Tue, 12 Nov 2019 08:42:39 +0100

univention-radius (6.0.2-14) unstable; urgency=medium

  * Bug #50006: Add python module dirs for ucs@school

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 20 Aug 2019 12:09:27 +0200

univention-radius (6.0.2-12) unstable; urgency=medium

  * Bug #50006: Move python-univention-radius.links
    into univention-radius.links

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 19 Aug 2019 17:33:13 +0200

univention-radius (6.0.2-11) unstable; urgency=medium

  * Bug #50006: Switch to dh_python
  * Bug #49858: respect UCR port configuration also for IPv6
  * Bug #49499: Improve warning for missing sambaNTpassword
  * Bug #48886: add name to listener module

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 16 Aug 2019 12:32:03 +0200

univention-radius (6.0.2-10) unstable; urgency=medium

  * Bug #50006: Improve performance in large environments

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 13 Aug 2019 17:39:21 +0200

univention-radius (6.0.2-9) unstable; urgency=medium

  * Bug #46018: improve log messages

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 27 Feb 2019 10:52:48 +0100

univention-radius (6.0.2-8) unstable; urgency=low

  * Bug #46018: rename UCR variable univention-radius-ntlm-auth/debug to
    freeradius/auth/helper/ntlm/debug

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 27 Feb 2019 01:34:22 +0100

univention-radius (6.0.2-7) unstable; urgency=medium

  * Bug #46018: fix typos; better loglevel conversion

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 26 Feb 2019 17:31:13 +0100

univention-radius (6.0.2-6) unstable; urgency=medium

  * Bug #25935: fix typo

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 25 Feb 2019 10:56:02 +0100

univention-radius (6.0.2-5) unstable; urgency=medium

  * Bug #46018: fix loglevel in univention-radius-check-access

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 19 Feb 2019 17:37:40 +0100

univention-radius (6.0.2-4) unstable; urgency=medium

  * Bug #25935: remove build artefact

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 19 Feb 2019 17:03:45 +0100

univention-radius (6.0.2-3) unstable; urgency=low

  * Bug #25935: use machine connection agains ldap/server/name
  * Bug #25935: fix OID collision

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Tue, 19 Feb 2019 15:57:04 +0100

univention-radius (6.0.2-2) unstable; urgency=medium

  * Bug #46018: Improve logging and import ucs@school access check if available.
  * Bug #48460: Use passlib for des encryption

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 14 Jan 2019 14:16:41 +0100

univention-radius (6.0.2-1) unstable; urgency=low

  * Bug #25935: add RADIUS options for shared secret and virtual server to
    all computer objects

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 20 Dec 2018 23:55:43 +0100

univention-radius (6.0.1-1) unstable; urgency=medium

  * Bug #46969: bindpwdfile support

 -- Felix Botner <botner@univention.de>  Fri, 21 Dec 2018 10:37:31 +0100

univention-radius (6.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:45 +0100

univention-radius (5.0.1-3) unstable; urgency=medium



=== debian/control ===
Source: univention-radius
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.9.8
Build-Depends:
 debhelper,
 dh-python,
 python-all,
 python-debian,
 python3-all,
 python3-debian,
 univention-config-dev (>= 15.0.3),

Package: univention-radius
Architecture: any
Depends:
 freeradius,
 freeradius-ldap,
 freeradius-utils,
 python3-univention-radius,
 shell-univention-lib (>= 2.0.17-1),
 univention-config,
 univention-directory-listener (>= 13.0.0-2),
 univention-join (>= 5.0.20-1),
 univention-ssl,
 ${misc:Depends},
Description: freeradius 802.1X integration package for Univention Corporate Server
 Sets up a freeradius RADIUS server to support 802.1X authenticators

Package: python-univention-radius
Architecture: any
Depends:
 python-ldap,
 python-passlib,
 python-univention (>= 12.0.0-5),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description:
 Python library for the univention radius integration.

Package: python3-univention-radius
Architecture: any
Depends:
 python3-ldap,
 python3-passlib,
 python3-univention,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description:
 Python 3 library for the univention radius integration.

## univention-radius 7.0.1-2A~5.0.0.202108301220

=== debian/changelog ===
univention-radius (7.0.1-2A~5.0.0.202108301220) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 30 Aug 2021 12:20:41 +0200

univention-radius (7.0.1-2) unstable; urgency=medium

  * Bug #53712: activate default config (sites-enabled)

 -- Felix Botner <botner@univention.de>  Mon, 30 Aug 2021 12:17:34 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention RADIUS 802.1X
#  rules file for the debian package
#
# Copyright (C) 2011-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of the software contained in this package
# as well as the source package itself are made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this package provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use the software under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

export PYBUILD_NAME=univention-radius

override_dh_fixperms:
	dh_fixperms
	chmod u+s debian/univention-radius/usr/bin/univention-radius-ntlm-auth-suidwrapper

override_dh_auto_clean:
	make clean
	dh_auto_clean
	rm -f debian/univention-radius.conffiles

override_dh_auto_build:
	# Build suid wrapper
	make build
	dh_auto_build

%:
	dh $@ --with python2,python3,ucr --buildsystem=pybuild

## univention-radius 7.0.1-3A~5.0.0.202110220951

=== debian/changelog ===
univention-radius (7.0.1-3A~5.0.0.202110220951) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 22 Oct 2021 09:51:42 +0200

univention-radius (7.0.1-3) unstable; urgency=medium

  * Bug #53182: Add timestamps to server_password_change log messages

 -- Erik Damrose <damrose@univention.de>  Fri, 22 Oct 2021 09:22:03 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  freeradius-ldap,
  freeradius-utils,
  python3-univention-radius,
- shell-univention-lib (>= 2.0.17-1),
+ shell-univention-lib (>= 9.0.11-9),
  univention-config,
  univention-directory-listener (>= 13.0.0-2),
  univention-join (>= 5.0.20-1),

## univention-radius 7.0.1-4A~5.0.0.202201251556

=== debian/changelog ===
univention-radius (7.0.1-4A~5.0.0.202201251556) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 25 Jan 2022 15:56:16 +0100

univention-radius (7.0.1-4) unstable; urgency=low

  * Bug #54341: Fix networkAccessGroups in join script on update

 -- Philipp Hahn <hahn@univention.de>  Thu, 20 Jan 2022 07:55:12 +0100

=== debian/rules ===
--- 
+++ 
@@ -32,19 +32,18 @@
 # <https://www.gnu.org/licenses/>.
 
 export PYBUILD_NAME=univention-radius
+export PYBUILD_AFTER_INSTALL=$(RM) '{destdir}/{install_dir}/univention/__init__.py'
 
 override_dh_fixperms:
 	dh_fixperms
 	chmod u+s debian/univention-radius/usr/bin/univention-radius-ntlm-auth-suidwrapper
 
 override_dh_auto_clean:
-	make clean
+	$(MAKE) clean
 	dh_auto_clean
-	rm -f debian/univention-radius.conffiles
 
 override_dh_auto_build:
-	# Build suid wrapper
-	make build
+	$(MAKE) build
 	dh_auto_build
 
 %:

## univention-radius 7.0.1-6A~5.0.0.202201312312

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 #
 # Univention RADIUS 802.1X
-#  makefile
 #
 # Copyright (C) 2011-2021 Univention GmbH
 #
@@ -31,12 +30,9 @@
 # /usr/share/common-licenses/AGPL-3; if not, see
 # <https://www.gnu.org/licenses/>.
 
-build: usr/bin/univention-radius-ntlm-auth-suidwrapper
-
-usr/bin/univention-radius-ntlm-auth-suidwrapper: univention-radius-ntlm-auth-suidwrapper.c
-	cc univention-radius-ntlm-auth-suidwrapper.c -o usr/bin/univention-radius-ntlm-auth-suidwrapper
+build: univention-radius-ntlm-auth-suidwrapper
 
 clean:
-	rm -f usr/bin/univention-radius-ntlm-auth-suidwrapper
+	$(RM) univention-radius-ntlm-auth-suidwrapper
 
 .PHONY: clean build

=== debian/changelog ===
univention-radius (7.0.1-6A~5.0.0.202201312312) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 31 Jan 2022 23:12:51 +0100

univention-radius (7.0.1-6) unstable; urgency=medium

  * Bug #54029: fix typo

 -- Florian Best <best@univention.de>  Sat, 29 Jan 2022 11:14:01 +0100

univention-radius (7.0.1-5) unstable; urgency=medium

  * Bug #54029: Update French translation

 -- Johannes Lohmer <lohmer@univention.de>  Fri, 21 Jan 2022 16:35:26 +0100

## univention-radius 7.0.1-7A~5.0.0.202202181709

=== debian/changelog ===
univention-radius (7.0.1-7A~5.0.0.202202181709) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 18 Feb 2022 17:09:29 +0100

univention-radius (7.0.1-7) unstable; urgency=medium

  * Bug #54461: fix copy-paste artefact in .postinst

 -- Johannes Lohmer <lohmer@univention.de>  Wed, 16 Feb 2022 12:09:28 +0100

## univention-radius 7.0.1-8A~5.0.0.202203152214

=== debian/changelog ===
univention-radius (7.0.1-8A~5.0.0.202203152214) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 15 Mar 2022 22:14:13 +0100

univention-radius (7.0.1-8) unstable; urgency=medium

  * Bug #54409: Use service specific password

 -- Julia Bremer <bremer@univention.de>  Tue, 15 Mar 2022 19:25:25 +0100

## univention-radius 7.0.1-10A~5.0.0.202205100915

=== debian/changelog ===
univention-radius (7.0.1-10A~5.0.0.202205100915) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 10 May 2022 09:15:22 +0200

univention-radius (7.0.1-10) unstable; urgency=medium

  * Bug #25916: Fix case sensitivity problem

 -- Peter Stoll <stoll.extern@univention.de>  Mon, 09 May 2022 10:17:45 +0200

univention-radius (7.0.1-9) unstable; urgency=medium

  * Bug #25916 - VLAN-Zuordnung via 802.1x/RADIUS

 -- Peter Stoll <stoll.extern@univention.de>  Thu, 31 Mar 2022 09:00:25 +0100

=== debian/control ===
Source: univention-radius
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Standards-Version: 3.9.8
Build-Depends:
 debhelper,
 dh-python,
 python-all,
 python-debian,
 python-passlib,
 python-pytest,
 python3-all,
 python3-debian,
 python3-passlib,
 python3-pytest,
 univention-config-dev (>= 15.0.3),

Package: univention-radius
Architecture: any
Depends:
 freeradius,
 freeradius-ldap,
 freeradius-utils,
 python3,
 python3-univention-radius,
 shell-univention-lib (>= 9.0.11-9),
 univention-config,
 univention-directory-listener (>= 13.0.0-2),
 univention-join (>= 5.0.20-1),
 univention-ssl,
 ${misc:Depends},
 ${shlibs:Depends},
Description: FreeRADIUS 802.1X integration package for Univention Corporate Server
 Sets up a FreeRADIUS RADIUS server to support 802.1X authenticators.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-radius
Architecture: all
Depends:
 python-ldap,
 python-passlib,
 python-univention (>= 12.0.0-5),
 python-typing,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: UCS - RADIUS Python 2 modules
 This package contains Python 2 modules for the RADIUS
 integration.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-radius
Architecture: all
Depends:
 python3-ldap,
 python3-passlib,
 python3-univention,
 ${misc:Depends},
 ${python3:Depends},
Description: UCS - RADIUS Python 3 modules
 This package contains Python 3 modules for the RADIUS
 integration.
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention RADIUS 802.1X
 #  rules file for the debian package
 #
-# Copyright (C) 2011-2021 Univention GmbH
+# Copyright (C) 2011-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-radius 7.0.2-2A~5.0.0.202206222155

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Univention RADIUS 802.1X
 #
-# Copyright (C) 2011-2021 Univention GmbH
+# Copyright (C) 2011-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-radius (7.0.2-2A~5.0.0.202206222155) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 22 Jun 2022 21:55:21 +0200

univention-radius (7.0.2-2) unstable; urgency=medium

  * Bug #54662: Increase Joinscript version: VLAN in RADIUS

 -- Peter Stoll <stoll.extern@univention.de>  Mon, 20 Jun 2022 16:22:05 +0200

univention-radius (7.0.2-1) unstable; urgency=medium

  * Bug #54706: drop Python 2 packages

 -- Florian Best <best@univention.de>  Mon, 13 Jun 2022 12:26:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -47,4 +47,4 @@
 	dh_auto_build
 
 %:
-	dh $@ --with python2,python3,ucr --buildsystem=pybuild
+	dh $@ --with python3,ucr --buildsystem=pybuild

## univention-radius 7.0.5-1A~5.0.0.202302031945

=== debian/changelog ===
univention-radius (7.0.5-1A~5.0.0.202302031945) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 19:45:25 +0100

univention-radius (7.0.5-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:45 +0100

univention-radius (7.0.4-1) unstable; urgency=medium

  * Bug #53092: Added fail checks for the join scripts

 -- Mika Westphal <westphal@univention.de>  Thu, 02 Feb 2023 13:18:04 +0100

univention-radius (7.0.3-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Wed, 28 Sep 2022 19:55:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,6 @@
 Build-Depends:
  debhelper,
  dh-python,
- python-all,
- python-debian,
- python-passlib,
- python-pytest,
  python3-all,
  python3-debian,
  python3-passlib,
@@ -22,7 +18,6 @@
  freeradius,
  freeradius-ldap,
  freeradius-utils,
- python3,
  python3-univention-radius,
  shell-univention-lib (>= 9.0.11-9),
  univention-config,
@@ -30,6 +25,7 @@
  univention-join (>= 5.0.20-1),
  univention-ssl,
  ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: FreeRADIUS 802.1X integration package for Univention Corporate Server
  Sets up a FreeRADIUS RADIUS server to support 802.1X authenticators.
@@ -42,15 +38,8 @@
 Package: python-univention-radius
 Architecture: all
 Depends:
- python-ldap,
- python-passlib,
- python-univention (>= 12.0.0-5),
- python-typing,
  ${misc:Depends},
- ${python:Depends},
-Provides:
- ${python:Provides},
-Description: UCS - RADIUS Python 2 modules
+Description: UCS transitional dummy package
  This package contains Python 2 modules for the RADIUS
  integration.
  .

## univention-radius 7.0.5-2A~5.0.0.202302241341

=== debian/changelog ===
univention-radius (7.0.5-2A~5.0.0.202302241341) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 24 Feb 2023 13:41:04 +0100

univention-radius (7.0.5-2) unstable; urgency=medium

  * Bug #55247: disable tls v3 for radius

 -- Maximilian Janßen <janssen@univention.de>  Tue, 14 Feb 2023 12:53:35 +0100

## univention-radius 7.0.5-3A~5.0.0.202304111523

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,10 @@
 #
 # Univention RADIUS 802.1X
 #
-# Copyright (C) 2011-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright (C) 2011-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-radius (7.0.5-3A~5.0.0.202304111523) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 11 Apr 2023 15:23:44 +0200

univention-radius (7.0.5-3) unstable; urgency=medium

  * Bug #55757: allow login with the primary email address

 -- Maximilian Janßen <janssen@univention.de>  Fri, 24 Feb 2023 19:06:27 +0100

## univention-radius 7.0.5-4

=== debian/changelog ===
univention-radius (7.0.5-4) unstable; urgency=medium

  * Bug #56371: Replaced the German word "Kennwort" with "Passwort" inside the
    translations

 -- Mika Westphal <westphal@univention.de>  Fri, 04 Aug 2023 09:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-debian,
  python3-passlib,
  python3-pytest,
+ python3-setuptools,
  univention-config-dev (>= 15.0.3),
 
 Package: univention-radius

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention RADIUS 802.1X
 #  rules file for the debian package
 #
-# Copyright (C) 2011-2022 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright (C) 2011-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-radius 7.0.6-1

=== debian/changelog ===
univention-radius (7.0.6-1) unstable; urgency=medium

  * Bug #56060: Support MAC authentication bypass
  * Bug #56832: UCS 5.0-6 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 12 Dec 2023 12:32:37 +0100

univention-radius (7.0.5-6) unstable; urgency=medium

  * Revert "Bug #55610: added radius logrotate configuration and a UCR variable"

    This reverts commit e5111c40f39cbc8ea8012ec0e81e3acd33c2d8c1.

 -- Mika Westphal <westphal@univention.de>  Tue, 22 Aug 2023 12:37:12 +0200

## univention-radius 7.0.7-2

=== debian/changelog ===
univention-radius (7.0.7-2) unstable; urgency=medium

  * Bug #57069: rename canonicalization to prevent functions with the same name with the .debian file

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 26 Mar 2024 13:11:58 +0100

univention-radius (7.0.7-1) unstable; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump
  * Bug #57069: Support different MAC formats for MAC authentication bypass


 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:54 +0100

## univention-radius 7.0.7-3

=== debian/changelog ===
univention-radius (7.0.7-3) unstable; urgency=medium

  * Bug #55007: preserve custom freeradius configuration

 -- Juan Pedro Torres Munoz <juan.torres-munoz@univention.de>  Mon, 08 Apr 2024 19:28:19 +0200

## univention-radius 8.0.10

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright (C) 2011-2023 Univention GmbH
+# Copyright (C) 2011-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-radius (8.0.10) unstable; urgency=medium

  * Bug #55007: preserve custom freeradius configuration

 -- Juan Pedro Torres Munoz <juan.torres-munoz@univention.de>  Mon, 08 Apr 2024 19:28:19 +0200

univention-radius (8.0.9) unstable; urgency=medium

  * Bug #57069: Support different MAC formats for MAC authentication bypass

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 27 Mar 2024 13:11:58 +0100

univention-radius (8.0.8) unstable; urgency=medium

  * Bug #56124: set --ucsversionstart flag to 5.0-7

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 07 Mar 2024 23:54:55 +0100

univention-radius (8.0.7) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:19 +0100

univention-radius (8.0.6) unstable; urgency=medium

  * Bug #55996: load legacy provider before to enable md4 in univention-
    radius

 -- Juan Carlos García García <garcia-garcia.extern@univention.de>  Thu, 07 Mar 2024 23:54:07 +0100

univention-radius (8.0.5) unstable; urgency=medium

  * Bug #55994: drop Python 2 binary packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:50 +0100

univention-radius (8.0.4) unstable; urgency=medium

  * Bug #55963: add /etc/freeradius.secret credentials file

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:49 +0100

univention-radius (8.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:29 +0100

univention-radius (8.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:20 +0100

univention-radius (8.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:35 +0100

univention-radius (7.0.7-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Standards-Version: 3.9.8
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  dh-python,
  python3-all,
  python3-debian,
  python3-passlib,
  python3-pytest,
+ python3-samba,
  python3-setuptools,
  univention-config-dev (>= 15.0.3),
 
@@ -36,24 +37,12 @@
  corporate environments. For more information about UCS,
  refer to: https://www.univention.de/
 
-Package: python-univention-radius
-Architecture: all
-Depends:
- ${misc:Depends},
-Description: UCS transitional dummy package
- This package contains Python 2 modules for the RADIUS
- integration.
- .
- It is part of Univention Corporate Server (UCS), an
- integrated, directory driven solution for managing
- corporate environments. For more information about UCS,
- refer to: https://www.univention.de/
-
 Package: python3-univention-radius
 Architecture: all
 Depends:
  python3-ldap,
  python3-passlib,
+ python3-samba,
  python3-univention,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright (C) 2011-2023 Univention GmbH
+# Copyright (C) 2011-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-radius 9.0.7

=== debian/changelog ===
univention-radius (9.0.7) unstable; urgency=medium

  * Bug #55007: preserve custom freeradius configuration

 -- Juan Pedro Torres Munoz <juan.torres-munoz@univention.de>  Mon, 08 Apr 2024 19:28:19 +0200

univention-radius (9.0.6) unstable; urgency=medium

  * Bug #57069: Support different MAC formats for MAC authentication bypass

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 27 Mar 2024 13:11:58 +0100

univention-radius (9.0.5) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:31 +0100

univention-radius (9.0.4) unstable; urgency=medium

  * Bug #55763: Reenable Radius TLS v1.3 by default

 -- Maximilian Janßen <janssen@univention.de>  Fri, 08 Mar 2024 00:18:46 +0100

univention-radius (9.0.3) unstable; urgency=medium

  * Bug #56927: increase all modified joinscripts by 10

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:45 +0100

univention-radius (9.0.2) unstable; urgency=medium

  * Bug #46120: rebase UCR templates of univention-radius to Debian 12

 -- Mika Westphal <westphal@univention.de>  Fri, 08 Mar 2024 00:18:31 +0100

univention-radius (9.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:23 +0100

## univention-radius 9.2.2

=== Makefile ===
#!/usr/bin/make -f
#
# Univention RADIUS 802.1X
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2011-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

build: univention-radius-ntlm-auth-suidwrapper

clean:
	$(RM) univention-radius-ntlm-auth-suidwrapper

.PHONY: clean build

=== debian/changelog ===
univention-radius (9.2.2) unstable; urgency=low

  * Bug #58132: restrict permissions of
    /var/log/univention/radius_ntlm_auth.log to 0660

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 26 Jun 2025 11:34:52 +0200

univention-radius (9.2.1) unstable; urgency=medium

  * Bug #58132:
    - univention-radius-ntlm-auth has become more resilient against errors.
    - The log rotation for univention-radius-ntlm-auth has been fixed.

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 19 Jun 2025 16:29:40 +0200

univention-radius (9.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:51 +0200

univention-radius (9.0.8-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:30 +0100

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention RADIUS 802.1X
#  rules file for the debian package
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# SPDX-FileCopyrightText: 2011-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

export PYBUILD_NAME=univention-radius
export PYBUILD_AFTER_INSTALL=$(RM) '{destdir}/{install_dir}/univention/__init__.py'

override_dh_fixperms:
	dh_fixperms
	chmod u+s debian/univention-radius/usr/bin/univention-radius-ntlm-auth-suidwrapper

override_dh_auto_clean:
	$(MAKE) clean
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) build
	dh_auto_build

%:
	dh $@ --with python3,ucr --buildsystem=pybuild

## univention-radius 9.2.3

=== debian/changelog ===
univention-radius (9.2.3) unstable; urgency=low

  * Bug #58425: do not emtpy the logfile
    /var/log/univention/radius_ntlm_auth.log during package update

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Thu, 26 Jun 2025 12:48:33 +0200

## univention-radius 9.3.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 #
 # Univention RADIUS 802.1X
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2011-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only

=== debian/changelog ===
univention-radius (9.3.1) unstable; urgency=low

  * Bug #58373 EAP cipher_list is configurable
  * Bug #58374 EAP tls_min_version is configurable

 -- Jan Meier <jan.meier@univention.de>  Thu, 16 Oct 2025 12:49:22 +0200

univention-radius (9.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 #
 # Univention RADIUS 802.1X
 #  rules file for the debian package
-#
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
 #
 # SPDX-FileCopyrightText: 2011-2025 Univention GmbH
 # SPDX-License-Identifier: AGPL-3.0-only

## univention-radius 9.4.0

=== debian/changelog ===
univention-radius (9.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:02 +0100
